package com.company;

public class Console extends Display {

    public Console(byte displayType) {
        super(displayType);
    }

    @Override
    public void display(int[][] a1, int[][] a2) {
        super.display(a1, a2);
        System.out.println("  A B C D E F G H");
        for (int i = 1; i <= 8; i++) {
            for (int j = 1; j <= 8; j++) {
                if (a2[j][i] != 0) {
                    // the unicode of white circle (there is a player2 disc)
                    System.out.print('\u25CB');
                }
                else {
                    if (a1[j][i] != 0) {
                        // the unicode of black circle (there is a player1 disc)
                        System.out.print('\u25CF');
                    }
                    else
                        // the unicode of white square (a blank)
                        System.out.print('\u25A1');
                }
                System.out.print(" ");
            }
            System.out.println();
        }
    }
}
